#=========================================================================
FROM php:7.3-cli as base

COPY ./docker/php/php.ini /usr/local/etc/php/php.ini
# Install extensions
ENV EXTENSIONS_BUILD_DEPS \
        libicu-dev \
        libzip-dev \
        libxml2-dev
ENV PHP_EXTS_BASE \
        intl \
        opcache \
        bcmath \
        zip
RUN apt-get update \
# install deps
    && apt-get install -y --no-install-recommends ${EXTENSIONS_BUILD_DEPS} \
        # extensions
        && docker-php-ext-install \
                ${PHP_EXTS_BASE} \
            && docker-php-ext-enable \
                ${PHP_EXTS_BASE} \
    # clean up
    && apt-get purge \
        -y --auto-remove \
        -o APT::AutoRemove::RecommendsImportant=false \
    && apt-get clean \
    && rm -rf /var/lib/apt/lists/* /tmp/* /var/tmp/*
#=========================================================================

#=========================================================================
FROM base as composer

RUN apt-get update \
# install deps
    && apt-get install -y --no-install-recommends git ssh zip unzip wget \
    && apt-get purge \
        -y --auto-remove \
        -o APT::AutoRemove::RecommendsImportant=false \
    && apt-get clean \
    && rm -rf /var/lib/apt/lists/* /tmp/* /var/tmp/*

#composer
COPY ./docker/php/composer-install.sh ./composer-install.sh
RUN chmod +x ./composer-install.sh \
    && ./composer-install.sh \
    && mv composer.phar /usr/local/bin/composer \
    && chmod +x /usr/local/bin/composer
#=========================================================================

#=========================================================================
FROM composer as debug

# Install extensions
#xdebug
RUN  pecl install xdebug

COPY ./docker/php/xdebug.sh /usr/local/bin/xdebug
RUN chmod +x /usr/local/bin/xdebug
#=========================================================================

#=========================================================================
FROM debug as develop

COPY ./docker/php/php-debug.ini /usr/local/etc/php/php.ini
# Install extensions
RUN docker-php-ext-enable xdebug
#=========================================================================

